[SciPy-dev] swig dependency

Nathan Bell wnbell@gmail....
Thu Oct 4 19:59:02 CDT 2007


On 10/4/07, Robert Kern <robert.kern@gmail.com> wrote:
>
> That's not entirely true. The UMFPACK bindings are optional, and sparsetools has
> the generated files checked in so that no one except those modifying those
> wrappers needs to have SWIG installed. Checking generated files into source
> control is somewhat icky, but so is having to answer this question over and over.
>

An added complication is that sparsetools requires the SVN version of
SWIG, rather than the current stable release 1.3.31.  While I do feel
silly checking in 900K worth of SWIG generated C++ code periodically,
it's really the only way to ensure sparsetools works.

For UMFPACK bindings, it's more reasonable to use the client's SWIG
since they're also responsible for installing UMFPACK.

Icky is right :)

-- 
Nathan Bell wnbell@gmail.com


More information about the Scipy-dev mailing list